com.mockobjects.jms

## Class MockQueue

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.jms.MockQueue

All Implemented Interfaces:
  Verifiable

Direct Known Subclasses:
  MockTemporaryQueue

    public class MockQueue
    extends MockObject

### Constructor Summary

Constructors
Constructor and Description
`MockQueue()`

### Method Summary

Methods
`java.lang.String` `getQueueName()`
`void` `setupGetQueueName(java.lang.String name)`
`void` `setupThrowException(JMSException e)`
`java.lang.String` `toString()`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MockQueue

    public MockQueue()

### Method Detail

#### getQueueName

    public java.lang.String getQueueName()
                                  throws JMSException

Throws:
  `JMSException`

#### setupGetQueueName

    public void setupGetQueueName(java.lang.String name)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### setupThrowException

    public void setupThrowException(JMSException e)